welcome

Welcome to the Barcode Configuration program

The Barcode Configuration program has been developed especially for configuring any SpeechMike from the USB product range. Currently, the following devices are available:

  • SpeechMike Pro USB Barcode Scanner LFH 6284
  • SpeechMike Classic USB Barcode Scanner LFH 6294/00 (International version)
  • SpeechMike Classic USB Barcode Scanner LFH 6294/52 (Philips version)
  • SpeechMike Classic Plus Philips BC (LFH5280)
  • SpeechMike Classic Plus International BC (LFH5282)
  • SpeechMike Pro BC (LFH5284)

The program also supports the DPM Barcode Scanner Module LFH 9284 in combination with DPM 9400 and DPM 9450 and the DPM Barcode Scanner Module LFH 9294 in combination with DPM3 devices (DPM 9370, DPM 9380, DPM 0955, DPM 9500/9520, and DPM 9600/9620).

The program enables you to:

  • Configure the keyboard language.
  • Define prefix and suffix strings.
  • Store the settings in a file (CFG file format).
  • Load the specific settings stored on a device and apply them to other devices.


sysreq

System requirements

The Barcode Configuration program requires certain hardware and software specifications in order to function properly.

  • You need an IBM-compatible PC.
  • Your PC must have a USB port.
  • A minimum of 16 MB RAM is recommended.
  • You need to have Windows 98 SE, Windows Me, Windows 2000 or Windows XP installed.


starting

Starting the program

To open the Barcode Configuration program, follow these steps.

  1. Insert your installation CD.
  2. Browse for the BarcodeConfig.EXE file. The file should be located in the BarcodeConfiguration folder on the installation CD.
  3. Double-click the EXE file to open the program. The Barcode Configuration program window is displayed.


window

Barcode Configuration window

The Barcode Configuration window enables you to configure the keyboard language for any SpeechMike from the USB product range and the DPM Barcode Scanner Module when attached to DPM. Additionally, you can also specify prefix and suffix strings.

The Barcode Configuration window has a menu bar and a toolbar:

  • To open an existing CFG file, go to the File menu and choose Open or click the Open toolbar button. The standard Open dialog box of your Windows operating system will be displayed and you can browse for the location where the .CFG files are stored.
  • To save a CFG file, go to the File menu and choose Save or click the Save toolbar button. The standard Save As dialog box of your Windows operating system will be displayed and you can specify where to store your files.
    Note:     The CFG file format is the default file format. You also have the option to store the settings in the DMP file format; this file format should only be used for backup. The DMP file stores the configuration settings in a binary format. If such a file is opened and edited, the changed settings are sent to the device directly without having to create a character table.
  • To close the program, go to the File menu and choose Exit.
  • To display the Insert Non-Printable Character dialog box, go to the Edit menu and choose Insert Non-Printable Character or click the Non-Printable Character toolbar button.
  • To access the Barcode Configuration Online Help, go to the Help menu and choose Barcode Configuration Help.
  • To view copyright and version information, go to the Help menu and choose About Barcode Configuration.

See also

Device settings


settings

Device settings

With the Barcode Configuration program, you can make specific configuration settings for any SpeechMike from the USB product range and the DPM Barcode Scanner Module, transfer these settings to the device and load the current device settings to the PC for editing or applying to other devices.

Configuring the keyboard language

Before using the SpeechMike with Barcode Scanner or the DPM Barcode Scanner Module for the first time, it is necessary to adapt it to the local keyboard language currently in use on your computer. Follow these steps:

  1. Click the Language and keyboard layout selection list. The available keyboard languages will be displayed.
  2. Select the appropriate language from the list. You can verify the current keyboard language on your computer if you go to the Start menu, Settings, Control Panel and double-click Keyboard. This displays the Keyboard Properties dialog box. Open the Input Locales tab; below Installed input locales you will find the currently used language.

Defining prefix and suffix strings

The Prefix string and Suffix string fields enable you to define whether the barcode information should be preceded or followed by additional information such as a default string, a beep etc.
Note: The maximum number of characters you can enter is 10.

For a list of available non-printable characters, go to the Edit menu and choose Insert Non-Printable Character or click the Non-Printable Character toolbar button.

Transferring the device settings

  • To transfer the settings you have made to the SpeechMike USB or the Barcode Scanner Module, click the Download to Device button.
  • To transfer the current device settings to the PC, make sure you have the SpeechMike, DPM (with the Barcode Scanner Module attached) connected; then click the Download from Device button.


nonprint

Insert Non-Printable Character dialog box

To display the Insert Non-Printable Character dialog box, go to the Edit menu and choose Insert Non-Printable Character or click the Non-Printable Character toolbar button.

A list with a default set of non-printable characters will be available. Select the non-printable character you want to use as a prefix or suffix string depending on the field where you placed the cursor prior to displaying the dialog box.

  • Click OK to accept the selection you have made.
  • Click Cancel to exit the dialog box and discard the selection.